#hamburger {
  z-index: 2;
  position: fixed;
  right: 20px;
  top: 20px;
}

#hamburger-bar {
  width: 40px;
  height: 40px;
  cursor: pointer;
}

#hamburger .bar {
  height: 5px;
  width: 100%;
  display: block;
  border-radius: 10px;
  transition: 0.3s ease;
}

#hamburger #bar1 {
  transform: translateY(-4px);
}

#hamburger #bar3 {
  transform: translateY(4px);
}

#hamburger .hamburger-nav {
  margin-top: 25px;
  transition: 0.3s ease;
  display: none;
}

#hamburger .hamburger-nav ul {
  padding: 0px 10px;
}

#hamburger .hamburger-nav li {
  list-style: none;
  padding: 12px 0;
  text-align: right;
}

#hamburger .hamburger-nav li a {
  color: white;
}

#hamburger-bg, #hamburger {
  top: 30px;
  right: 15px;
  position: absolute;
}

#hamburger-bg {
  z-index: 1;
  width: 0;
  height: 0;
  margin: 30px 0 20px 20px;
  background: radial-gradient(circle, rgba(244, 114, 182, 1), rgba(219, 39, 119, 1));
  border-radius: 50%;
  transition: 0.3s ease;
}

#hamburger-bg.active {
  width: 90vh;
  height: 90vh;
  transform: translate(50vh, -25vh);
}

#hamburger .active {
  display: block;
  margin-left: auto;
}

#hamburger .active .bar {
  background-color: white;
}

#hamburger .active #bar1 {
  transform: translateY(4px) rotateZ(-45deg);
}

#hamburger .active #bar2 {
  opacity: 0;
}

#hamburger .active #bar3 {
  transform: translateY(-6px) rotateZ(45deg);
}

#video {
  height: 100vh;
}

#video video {
  object-fit: cover;
  height: 100vh;
}

#up {
  width: 50px;
  height: 50px;
  right: 10px;
  bottom: 10px;
}

#vision {
  background: none;
}